
QGIS Application - Bug report #2997

Zoom Full: if a PostGIS layer does not have features, it zooms to an enormous scale

2010-09-13 01:33 AM - luca76 -

Status: Closed

Priority: Low

Assignee: Jürgen Fischer

Category: Map Canvas

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13057

Description

Steps to reproduce:

1. Load some layers

 1. A layer with no features (in my case it is a [[PostGIS]] layer with NO features)

 1. Click "Zoom full"

Results:

- The scale is set to 1:30200823 and I see anything. In my case the right scale should be 1:115952.

Associated revisions

Revision 55c960b1 - 2011-04-22 04:02 PM - Jürgen Fischer

improve handling of empty extents (fixes #2997)

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@15809 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 776b9328 - 2011-04-22 04:02 PM - Jürgen Fischer

improve handling of empty extents (fixes #2997)

git-svn-id: http://svn.osgeo.org/qgis/trunk@15809 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2011-04-22 07:03 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:776b9328 (SVN r15810).
